Package Details: bucardo 5.6.0-1

Git Clone URL: https://aur.archlinux.org/bucardo.git (read-only, click to copy)
Package Base: bucardo
Description: An asynchronous PostgreSQL replication system, allowing for both multi-master and multi-slave operations
Upstream URL: https://bucardo.org
Licenses: BSD
Submitter: Flakebi
Maintainer: None
Last Packager: jswcom
Votes: 3
Popularity: 0.001868
First Submitted: 2017-10-15 01:07 (UTC)
Last Updated: 2022-05-23 19:39 (UTC)

Latest Comments

jswcom commented on 2022-05-23 19:40 (UTC)

Thanks, Flakebi. I've adopted the package and made the changes I mentioned.

Flakebi commented on 2022-05-23 18:53 (UTC)

Thanks for the note. I’m not using bucardo (and arch) anymore, so I don’t have an easy way to test updates. I retreated as a maintainer, feel free to pick it up.

jswcom commented on 2022-05-23 16:54 (UTC)

Additional dependencies: perl-encode-locale, perl-pod-parser

I found out that this doesn't work with PG 14, because test "t/02-bctl-db.t" fails (step "Add database fails for an invalid port") - this test depends heavily on the error messages from PG and there was a change to this particular message since PG 13.

This means that "make test" fails and package cannot be build when you use PG 14. As a workaround, you can remove "make test" from the PKGBUILD (line 40, I believe). This, of course, means that the tests are skipped during the package build.

Flakebi commented on 2019-07-15 18:25 (UTC)

Thanks, I added perl-dbix-safe.

hexadecagram commented on 2019-07-15 08:10 (UTC)

Please add package perl-dbix-safe as a dependency.